Loading...
Searching...
No Matches
u16string.h File Reference
`#include "platform.h"`
`#include "basic_string.h"`
`#include "hash.h"`
`#include "initializer_list.h"`
`#include "string_view.h"`
`#include "private/minmax_push.h"`
`#include "private/minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::u16string< MAX_SIZE_ >
class | etl::u16string_ext

## Namespaces

namespace | etl

## Typedefs

typedef ibasic_string< char16_t > | etl::iu16string

## Functions

template<size_t Array_Size>
etl::u16string< Array_Size - 1U > | etl::make_string (const char16_t(&text)[Array_Size])
| Hash function.
template<size_t MAX_SIZE, size_t SIZE>
etl::u16string< MAX_SIZE > | etl::make_string_with_capacity (const char16_t(&text)[SIZE])
| Make string with max capacity from string literal or array.